
<div>
    <h2><span data-translate="probioticApp.probiotic.detail.title">Probiotic</span> {{vm.probiotic.name}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="dl-horizontal jh-entity-details">
        <dt><span data-translate="probioticApp.probiotic.name">Name</span></dt>
        <dd>
            <span>{{vm.probiotic.name}}</span>
        </dd>
        <dt><span data-translate="probioticApp.probiotic.timestamp">Timestamp</span></dt>
        <dd>
            <span>{{vm.probiotic.timestamp | date:'medium'}}</span>
        </dd>

        <dt><span data-translate="probioticApp.probiotic.allergens">Allergens</span></dt>
        <dd  ng-if="vm.probiotic.have_allergens == '1'">
            <span ng-if="vm.probiotic.allergens == ''">
                No tiene alérgenos.
            </span>
            <span ng-repeat="allergens in vm.probiotic.allergens">
                {{allergens.name}}{{$last ? '' : ', '}}
            </span>

        </dd>
        <dd ng-if="vm.probiotic.have_allergens == '0'">
            <span>
                No hay información sobre los alérgenos.
            </span>
        </dd>
        <dt><span data-translate="probioticApp.probiotic.strain">Strain</span></dt>
        <dd>
            <span ng-repeat="strain in vm.probiotic.strains">
                {{strain.name}}{{$last ? '' : ', '}}
            </span>
        </dd>
        <dt><span data-translate="probioticApp.probiotic.modifiedby">Modifiedby</span></dt>
        <dd>
            {{vm.probiotic.modifiedbyLogin}}
        </dd>

    </dl>



    <div class="table-responsive" ng-show="vm.probiotic.dosages != ''">
        <table class="jh-table table table-striped">
            <thead>
            <tr jh-sort="vm.predicate">
                <!--<th><span data-translate="global.field.id">ID</span></th>-->
                <th><span data-translate="probioticApp.probiotic.timestamp">Timestamp</span> </th>
                <th><span data-translate="probioticApp.probiotic.probiotic">Probiotic</span> </th>
                <th><span data-translate="probioticApp.probiotic.doseform">Dose Form</span></th>
                <th><span data-translate="probioticApp.probiotic.age">Age</span> </th>
                <th><span data-translate="probioticApp.probiotic.cfu">Cfu</span> </th>
                <th><span data-translate="probioticApp.probiotic.intake">Intake</span></th>
                <th><span data-translate="probioticApp.probiotic.frequency">Frequency</span></th>
                <th><span data-translate="probioticApp.probiotic.indication">Indication</span> </span></th>
                <th></th>
            </tr>
            </thead>
            <tbody>
            <tr ng-repeat="dosage in vm.probiotic.dosages track by dosage.id">
                <!--<td><a ui-sref="dosage-detail({id:dosage.id})">{{dosage.id}}</a></td>-->
                <td>{{dosage.timestamp | date:'medium'}}</td>
                <td>{{dosage.probioticName}}</td>
                <td>{{dosage.doseformName}}</td>
                <td>{{dosage.age}}</td>
                <td>{{dosage.cfu}}</td>
                <td>{{dosage.intake}}</td>
                <td>{{dosage.frequency}}</td>
                <td>
                    <div tooltip-placement="top"
                         uib-tooltip="{{dosage.indication}}">{{dosage.indication}}
                    </div>
                </td>

<!--
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                ui-sref="dosage-detail({id:dosage.id})"
                                class="btn btn-info btn-sm">
                            <span class="glyphicon glyphicon-eye-open"></span>
                            <span class="hidden-sm-down" data-translate="entity.action.view"></span>
                        </button>
                        <button type="submit"
                                ui-sref="dosage.delete({id:dosage.id})"
                                class="btn btn-danger btn-sm">
                            <span class="glyphicon glyphicon-remove-circle"></span>
                            <span class="hidden-sm-down" data-translate="entity.action.delete"></span>
                        </button>
                    </div>
                </td>
-->

            </tr>
            </tbody>
        </table>
    </div>


    <button type="submit"
            onclick="window.history.go(-1)"
            class="btn btn-info">
        <span class="glyphicon glyphicon-arrow-left"></span>&nbsp;<span data-translate="entity.action.back"> Back</span>
    </button>

    <button type="button" ui-sref="probiotic.edit({id:vm.probiotic.id})" class="btn btn-primary">
        <span class="glyphicon glyphicon-pencil"></span>
        <span class="hidden-sm-down" data-translate="entity.action.edit"> Edit</span>
    </button>
</div>
